Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface CompositeStructureDiagramEditor

    com.change_vision.jude.api.inf.editor.CompositeStructureDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, DiagramEditor, StructureDiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, DiagramEditor, StructureDiagramEditor

    public CompositeStructureDiagramEditor

extends StructureDiagramEditor

Interface to edit (create/delete) CompositeStructure diagrams.

Method Summary
`abstract ICompositeStructureDiagram` | `createCompositeStructureDiagram(INamedElement owner, String name)` Create a CompositeStructure Diagram in a parent package.
`abstract ILinkPresentation` | `createConnectorPresentation(INodePresentation fromPresentation, INodePresentation toPresentation)` Create a connector and its presentation.
`abstract INodePresentation` | `createPortPresentation(INodePresentation targetPresentation, String name, String dataType, Point2D location)` Create a port presentation on a part or structured class.
`abstract INodePresentation` | `createPortPresentation(INodePresentation targetPresentation, IPort iPort, Point2D location)` Create a port presentation on a part or structured class.
`abstract INodePresentation` | `createPortPresentation(INodePresentation targetPresentation)` Create a port presentation on a part or structured class.
`abstract INodePresentation` | `createProvidedInterfacePresentation(INodePresentation endPresentation)` Create a provided interface for a port or a part beside it.
`abstract INodePresentation` | `createProvidedInterfacePresentation(INodePresentation endPresentation, Point2D location)` Create a provided interface for a port or a part.
`abstract INodePresentation` | `createProvidedInterfacePresentation(INodePresentation endPresentation, IClass interfaceModel, Point2D location)` Create a provided interface for a port or a part.
`abstract INodePresentation` | `createRequiredInterfacePresentation(INodePresentation endPresentation)` Create a required interface for a port or a part beside it.
`abstract INodePresentation` | `createRequiredInterfacePresentation(INodePresentation endPresentation, Point2D location)` Create a required interface for a port or a part.
`abstract INodePresentation` | `createRequiredInterfacePresentation(INodePresentation endPresentation, IClass interfaceModel, Point2D location)` Create a required interface for a port or a part.
`abstract INodePresentation` | `createStructuredClassPresentation(IElement model, Point2D location)` Create a INodePresentation as Structured Class.
`abstract INodePresentation` | `createStructuredClassPresentation(IElement model, INodePresentation parent, Point2D location)` Create a INodePresentation as Structured Class.
`abstract void` | `showInterfacePresentations(INodePresentation portPresentation, Point2D location)` show interfaces connected to the port.

Methods inherited from class com.change_vision.jude.api.inf.editor.StructureDiagramEditor
`createContainmentGroup, createContainmentLinkPresentation, createGeneralizationGroup, createLinkPresentation, createNodePresentation, createNodePresentation, getContainmentGroup, getGeneralizationGroup`

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createCompositeStructureDiagram

    abstract ICompositeStructureDiagram createCompositeStructureDiagram(INamedElement owner,
                                                                        String name)

  Create a CompositeStructure Diagram in a parent package. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `owner` - Parent Package
    `name` - name
  Returns:
    CompositeStructure Diagram
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createConnectorPresentation

    abstract ILinkPresentation createConnectorPresentation(INodePresentation fromPresentation,
                                                           INodePresentation toPresentation)

  Create a connector and its presentation.

  Parameters:
    `fromPresentation` - part presentation or port presentation
    `toPresentation` - part presentation or port presentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createStructuredClassPresentation

    abstract INodePresentation createStructuredClassPresentation(IElement model,
                                                                 Point2D location)

  Create a INodePresentation as Structured Class.

  Parameters:
    `model` - model
    `location` - location
  Returns:
    INodePresentation as Structured Class.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createStructuredClassPresentation

    abstract INodePresentation createStructuredClassPresentation(IElement model,
                                                                 INodePresentation parent,
                                                                 Point2D location)

  Create a INodePresentation as Structured Class.

  Parameters:
    `model` - model
    `parent` - parent Presentation.
    `location` - location
  Returns:
    INodePresentation as Structured Class.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createPortPresentation

    abstract INodePresentation createPortPresentation(INodePresentation targetPresentation,
                                                      String name,
                                                      String dataType,
                                                      Point2D location)

  Create a port presentation on a part or structured class.

  Parameters:
    `targetPresentation` - part presentation or structured class presentation
    `name` - port name
    `dataType` - data type for the port
    `location` - location
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createPortPresentation

    abstract INodePresentation createPortPresentation(INodePresentation targetPresentation,
                                                      IPort iPort,
                                                      Point2D location)

  Create a port presentation on a part or structured class.

  Parameters:
    `targetPresentation` - part presentation or structured class presentation
    `iPort` - port model for the port presentation
    `location` - location
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createPortPresentation

    abstract INodePresentation createPortPresentation(INodePresentation targetPresentation)

  Create a port presentation on a part or structured class.

  Parameters:
    `targetPresentation` - part presentation or structured class presentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createProvidedInterfacePresentation

    abstract INodePresentation createProvidedInterfacePresentation(INodePresentation endPresentation)

  Create a provided interface for a port or a part beside it.

  Parameters:
    `endPresentation` - part presentation or port presentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createProvidedInterfacePresentation

    abstract INodePresentation createProvidedInterfacePresentation(INodePresentation endPresentation,
                                                                   Point2D location)

  Create a provided interface for a port or a part.

  Parameters:
    `endPresentation` - part presentation or port presentation
    `location` - the position of the provided interface
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createProvidedInterfacePresentation

    abstract INodePresentation createProvidedInterfacePresentation(INodePresentation endPresentation,
                                                                   IClass interfaceModel,
                                                                   Point2D location)

  Create a provided interface for a port or a part.

  Parameters:
    `endPresentation` - part presentation or port presentation
    `interfaceModel` - set an interface as the provide interface
    `location` - the position of the provided interface
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createRequiredInterfacePresentation

    abstract INodePresentation createRequiredInterfacePresentation(INodePresentation endPresentation)

  Create a required interface for a port or a part beside it.

  Parameters:
    `endPresentation` - part presentation or port presentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             NO_NAME_ERROR_KEY - if the name is empty.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

### createRequiredInterfacePresentation

    abstract INodePresentation createRequiredInterfacePresentation(INodePresentation endPresentation,
                                                                   Point2D location)

  Create a required interface for a port or a part.

  Parameters:
    `endPresentation` - part presentation or port presentation
    `location` - the position of the provided interface
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createRequiredInterfacePresentation

    abstract INodePresentation createRequiredInterfacePresentation(INodePresentation endPresentation,
                                                                   IClass interfaceModel,
                                                                   Point2D location)

  Create a required interface for a port or a part.

  Parameters:
    `endPresentation` - part presentation or port presentation
    `interfaceModel` - set an interface as the provide interface
    `location` - the position of the provided interface
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### showInterfacePresentations

    abstract void showInterfacePresentations(INodePresentation portPresentation,
                                             Point2D location)

  show interfaces connected to the port.

  Parameters:
    `portPresentation` - port presentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD